commit d54fc62b4de7bf18546d225fd5402ff4a72a536c
parent ac220a82c0009b7ad8cdaf1c78ecedf5a33b872b
Author: Oliver Lowe <o@olowe.co>
Date: Fri, 16 Sep 2022 22:39:50 +1000
import webpaste to pasting stuff to slack and irc
Diffstat:
2 files changed, 35 insertions(+), 0 deletions(-)
diff --git a/bin/webpaste b/bin/webpaste
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+usage="webpaste [file]"
+
+file='<-'
+if test $# -eq 1
+then
+ file="@$1"
+else
+ echo $usage
+ exit 1
+fi
+
+curl -s -F clbin="$file" https://clbin.com
diff --git a/man/webpaste.1 b/man/webpaste.1
@@ -0,0 +1,21 @@
+.Dd
+.Dt WEBPASTE 1
+.Sh NAME
+.Nm webpaste
+.Nd create a web paste on clbin.com
+.Sh SYNOPSIS
+.Nm
+.Op Ar file
+.Sh DESCRIPTION
+The
+.Nm
+utility reads from
+.Ar file ,
+or the standard input if none is specified,
+and creates a paste from its contents on the clbin.com service.
+A URL to the paste is printed on success.
+.Sh EXIT STATUS
+.Ex
+.Sh SEE ALSO
+.Xr curl 1 ,
+.Lk https://clbin.com The clbin website